Package ec.simple

# Class SimpleEvolutionState

java.lang.Object
ec.EvolutionState
ec.simple.SimpleEvolutionState

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class SimpleEvolutionState extends EvolutionState
A SimpleEvolutionState is an EvolutionState which implements a simple form of generational evolution.

First, all the individuals in the population are created. (A)Then all individuals in the population are evaluated. Then the population is replaced in its entirety with a new population of individuals bred from the old population. Goto (A).

Evolution stops when an ideal individual is found (if quitOnRunComplete is set to true), or when the number of generations (loops of (A)) exceeds the parameter value numGenerations. Each generation the system will perform garbage collection and checkpointing, if the appropriate parameters were set.

This approach can be readily used for most applications of Genetic Algorithms and Genetic Programming.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.EvolutionState

  `breeder, breedthreads, C_STARTED_FRESH, C_STARTED_FROM_CHECKPOINT, checkpoint, checkpointDirectory, checkpointModulo, checkpointPrefix, data, evalthreads, evaluations, evaluator, exchanger, finisher, generation, initializer, innovationNumber, job, numEvaluations, numGenerations, output, P_BREEDER, P_CHECKPOINT, P_CHECKPOINTDIRECTORY, P_CHECKPOINTMODULO, P_CHECKPOINTPREFIX, P_EVALUATIONS, P_EVALUATOR, P_EXCHANGER, P_FINISHER, P_GENERATIONS, P_INITIALIZER, P_INNOVATIONNUMBER, P_QUITONRUNCOMPLETE, P_STATISTICS, parameters, population, quitOnRunComplete, R_FAILURE, R_NOTDONE, R_SUCCESS, random, randomSeedOffset, runtimeArguments, statistics, UNDEFINED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleEvolutionState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `evolve()`
  `void`
  `finish(int result)`
  `void`
  `startFresh()`

  ### Methods inherited from class ec.EvolutionState

  `incrementEvaluations, resetFromCheckpoint, run, setup, startFromCheckpoint`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleEvolutionState

    public SimpleEvolutionState()

- ## Method Details

  - ### startFresh

    public void startFresh()
    Overrides:
      `startFresh` in class `EvolutionState`

  - ### evolve

    public int evolve()
    Overrides:
      `evolve` in class `EvolutionState`

  - ### finish

    public void finish(int result)
    Overrides:
      `finish` in class `EvolutionState`
    Parameters:
      `result` -